%global tarname goocanvasmm
%global api_ver 2.0

Name:           goocanvasmm2
Version:        1.90.8
Release:        3%{?dist}
Summary:        C++ interface for goocanvas2

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{tarname}/1.90/%{tarname}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mm-common
BuildRequires:  gtkmm30-devel >= 2.91.3
BuildRequires:  goocanvas2-devel >= 2.0.1

%description
This package provides a C++ interface for goocanvas. It is a
sub-package of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gtkmm30-devel%{?_isa} >= 2.91.3
Requires:       goocanvas2-devel%{?_isa} >= 1.90.2

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Developer documentation for %{name}
Group:          Documentation
%if 0%{?fedora} > 9 || 0%{?rhel} > 5
BuildArch:      noarch
%endif
BuildRequires:  doxygen graphviz
Requires:       gtkmm30-doc

%description      doc
This package contains developer's documentation for the goocanvasmm2
library. Goocanvasmm2 is the C++ API for the goocanvas graphics library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

If using a web browser the documentation is at
/usr/share/doc/%{tarname}-%{api_ver}

%prep
%setup -q -n %{tarname}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{tarname}-%{api_ver}/
%{_libdir}/pkgconfig/%{tarname}-%{api_ver}.pc

%files doc
%defattr(-,root,root,-)
%doc COPYING
%doc %{_datadir}/devhelp/books/%{tarname}-%{api_ver}
%doc %{_docdir}/%{tarname}-%{api_ver}


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.90.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.90.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 27 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.90.8-1
- upstream 1.90.8

* Tue Oct 11 2011 Haïkel Guémar <haikel.guemar@sysfera.com> - 1.90.6-1
- upstream 1.90.6

* Sun Apr 10 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.90.3-2
- add doctooldir patch

* Fri Feb 11 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.90.3-1
- initial package

